Wallet Infrastructure
Wallet Infrastructure
Treasury

Discard pending threshold changes

Releasing soon

This endpoint is being released and is not yet available.

DELETE
/v1/signing-threshold/pending

Requires scope wallets:write.

Authorization

ApiKey
headerAuthorizationBearer <sk_test_ or sk_live_ key>

Your sk_live_ / sk_test_ API key

Query Parameters

treasury?boolean

Response Body

200application/json

What was discarded, kept or found landed on each chain

TypeScript Definitions

Use the response body type in TypeScript.

data*
status*number
success*boolean
401application/json

The Authorization header is missing, malformed, or the API key is unknown or revoked

TypeScript Definitions

Use the response body type in TypeScript.

data*
status*number
success*boolean
429application/json

The API key exceeded its request budget for the window

TypeScript Definitions

Use the response body type in TypeScript.

data*
status*number
success*boolean

Language

curl -X DELETE 'https://api.pilot.shiga.io/v1/signing-threshold/pending' \  -H 'Authorization: Bearer sk_test_...'
Example Response
{  "data": {    "threshold": 0,    "cleared": true,    "pendingThreshold": 0,    "pendingLower": 0,    "pendingRaise": 0,    "pendingLane": "userop",    "chains": [      {        "chain": "plasma",        "outcome": "discarded",        "userOpHash": "string",        "pendingKind": "threshold_change",        "reason": "string"      }    ]  },  "status": 200,  "success": true}